Page MenuHomePhabricator

Cannot remove someone from group
Closed, ResolvedPublic1 Estimated Story Points

Description

I am attempting to remove this donor CID 5353397 from two groups (New York Target City and Southern California Target City).

I keep getting this:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2018, 10:10 PM

Change 440981 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Add location_id to civicrm_group_contact table.

https://gerrit.wikimedia.org/r/440981

Wow this is spooky - we are missing a field on the civicrm_group_contact table & it seems to have been missing ..forever. This code hasn't changed so it must have quietly never worked.

Have submitted a patch to add the field. It only took a minute on staging so no outage needed

Change 440981 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add location_id to civicrm_group_contact table.

https://gerrit.wikimedia.org/r/440981

Vvjjkkii renamed this task from Cannot remove someone from group to u5aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed Eileenmcnaughton as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
jgleeson renamed this task from u5aaaaaaaa to Cannot remove someone from group.Jul 2 2018, 1:01 PM
jgleeson assigned this task to Eileenmcnaughton.
jgleeson raised the priority of this task from High to Needs Triage.
jgleeson updated the task description. (Show Details)
jgleeson edited subscribers, added: Aklapper; removed: Eileenmcnaughton.

@NNichols the fix for this is deployed - I just removed her from one of those 2 groups - wanna check it out?

Works great! I removed her from the other group as well. Thank you!

Eileenmcnaughton closed this task as Resolved.Jul 2 2018, 9:49 PM
Eileenmcnaughton set the point value for this task to 1.Jun 27 2019, 5:59 AM